/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.records;


import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.CcidS3Path;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class CcidS3PathRecord extends UpdatableRecordImpl<CcidS3PathRecord> implements Record3<Integer, String, String> {

    private static final long serialVersionUID = 1461802213;

    /**
     * Setter for <code>CCID_S3_PATH.ID_CCID_PATH</code>.
     */
    public void setIdCcidPath(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>CCID_S3_PATH.ID_CCID_PATH</code>.
     */
    public Integer getIdCcidPath() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>CCID_S3_PATH.IDDSR</code>.
     */
    public void setIddsr(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>CCID_S3_PATH.IDDSR</code>.
     */
    public String getIddsr() {
        return (String) get(1);
    }

    /**
     * Setter for <code>CCID_S3_PATH.S3_PATH</code>.
     */
    public void setS3Path(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>CCID_S3_PATH.S3_PATH</code>.
     */
    public String getS3Path() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, String, String> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, String, String> valuesRow() {
        return (Row3) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return CcidS3Path.CCID_S3_PATH.ID_CCID_PATH;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return CcidS3Path.CCID_S3_PATH.IDDSR;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return CcidS3Path.CCID_S3_PATH.S3_PATH;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getIdCcidPath();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getIddsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getS3Path();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getIdCcidPath();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getIddsr();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getS3Path();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidS3PathRecord value1(Integer value) {
        setIdCcidPath(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidS3PathRecord value2(String value) {
        setIddsr(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidS3PathRecord value3(String value) {
        setS3Path(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public CcidS3PathRecord values(Integer value1, String value2, String value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached CcidS3PathRecord
     */
    public CcidS3PathRecord() {
        super(CcidS3Path.CCID_S3_PATH);
    }

    /**
     * Create a detached, initialised CcidS3PathRecord
     */
    public CcidS3PathRecord(Integer idCcidPath, String iddsr, String s3Path) {
        super(CcidS3Path.CCID_S3_PATH);

        set(0, idCcidPath);
        set(1, iddsr);
        set(2, s3Path);
    }
}
